Skip to main content
GET
/
hub
/
customProperties
List custom properties for a specific hub
curl --request GET \
  --url https://api.samsara.com/hub/customProperties \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAt": "2024-01-15T10:30:00Z",
      "csvColumns": "customer_type,customerType",
      "hubId": "650e8400-e29b-41d4-a716-446655440001",
      "id": "750e8400-e29b-41d4-a716-446655440004",
      "name": "CustomerType",
      "updatedAt": "2024-01-15T10:30:00Z"
    }
  ],
  "pagination": {
    "hasNextPage": false,
    "endCursor": "YXJyYXljb25uZWN0aW9uOjEwMA=="
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

hubId
string
required

The hub identifier

customPropertyIds
string

A comma-separated list of custom property IDs that can be used for filtering.

customPropertyNames
string

A comma-separated list of custom property names that can be used for filtering.

startTime
string<date-time>

Time filter of when the custom property was updated, in RFC 3339 format

endTime
string<date-time>

Time filter of when the custom property was updated, in RFC 3339 format

after
string

If specified, should be the endCursor from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:100

Maximum number of objects to return. Default and maximum is 100

Required range: x <= 100

Response

OK response.

data
object[]
required

Hub custom properties data

pagination
object
required

Pagination information